﻿--
-- Script was generated by Devart dbForge Studio 2020 for MySQL, Version 9.0.897.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 01/07/2023 9:38:05
-- Server version: 10.4.24
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

--
-- Set default database
--
USE viajes;

--
-- Drop table `lugardestino`
--
DROP TABLE IF EXISTS lugardestino;

--
-- Drop table `continente`
--
DROP TABLE IF EXISTS continente;

--
-- Set default database
--
USE viajes;

--
-- Create table `continente`
--
CREATE TABLE continente (
  id int(11) NOT NULL,
  continente varchar(50) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 4096,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_general_ci;

--
-- Create table `lugardestino`
--
CREATE TABLE lugardestino (
  idLugar int(11) NOT NULL,
  foto varchar(255) DEFAULT NULL,
  lugar varchar(50) DEFAULT NULL,
  pais varchar(50) DEFAULT NULL,
  fechaIncicio date DEFAULT NULL,
  fechaFinal date DEFAULT NULL,
  lugaresAVisitar longtext DEFAULT NULL,
  gastronomia longtext DEFAULT NULL,
  historia longtext DEFAULT NULL,
  continente int(11) DEFAULT NULL,
  PRIMARY KEY (idLugar)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 2730,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_general_ci;

--
-- Create foreign key
--
ALTER TABLE lugardestino
ADD CONSTRAINT fkLugarDestinoContinente FOREIGN KEY (continente)
REFERENCES continente (id);

-- 
-- Dumping data for table continente
--
INSERT INTO continente VALUES
(1, 'Europa'),
(2, 'Asia'),
(3, 'América'),
(4, 'África'),
(5, 'Oceania');

-- 
-- Dumping data for table lugardestino
--
INSERT INTO lugardestino VALUES
(1, '1_NewOrleans.jpeg', 'Nueva Orleans', 'Estados Unidos', '2024-06-12', '2024-06-21', 'Barrio Francés\r\nMuseo Nacional de la Segunda Guerra Mundial\r\nParque de la ciudad\r\nMuseo de Arte de Nueva Orleans\r\nVía Verde Lafitte\r\nZoológico de Audubon\r\n', 'GASTRONOMÍA CAJÚN\r\nCOCINA CRIOLLA\r\nETOUFFEE DE CANGREJO DE RÍO\r\nGUMBO\r\nJAMBALAYA\r\nPO’BOYS Y MUFFULETTA', 'Nueva Orleans fue fundada por los franceses en 1718 quienes dieron al asentamiento el nombre de La Nouvelle-Orléans. El sitio para la fundación de Nueva Orleans, cabecera de la colonia, fue elegido por ser la planicie del delta del Misisipi, a fin de crear una ruta comercial con los nativos americanos que fijaban sus tiendas entre el Misisipi y el lago Pontchartrain. Nueva Orleans se convirtió en la capital de la Luisiana francesa en 1722, adquiriendo preponderancia sobre Biloxi.', 3),
(2, '2_escocia.jpg', 'Highlands', 'Escocia', '2025-12-09', '2025-12-16', 'Highlands y demás pueblos', 'HAGGIS\r\nFISH N CHIPS\r\nCREMA DE AVENA O GACHAS ESCOCESAS\r\nEL DESAYUNO COMPLETO ESCOCÉS\r\nCRANACHAN', 'El rasgo más distintivo de las highlands es la influencia celta, incluyendo el mantenimiento del gaélico escocés como lengua materna de una pequeña parte de la población, y un mayor predominio de la actividad agrícola y ganadera comparado con el resto del país.', 1),
(3, '3_sydney.png', 'Sydney', 'Australia', '2021-04-12', '2021-04-30', 'Ópera de Sídney\r\nPuente del puerto de Sídney\r\nPuerto Darling\r\nReal Jardín Botánico de Sídney\r\nSydney Tower Eye\r\nCatedral de Santa María de Sídney', 'CANGURO A LA PARRILLA\r\nCHOKOES CON QUESO\r\nCORDERO AUSTRALIANO\r\nTARTA PAVLOVA\r\nLAMINGTONS', 'Es la ciudad más grande y poblada de Australia y Oceanía. En junio de 2020, la población metropolitana estimada de Sídney era de 5 361 466 habitantes.8​ Es la capital del estado de Nueva Gales del Sur y fue el asentamiento de la primera colonia británica en Australia. Fue fundada en 1788 en la cala de Sídney por Arthur Phillip, almirante de la Primera Flota de Gran Bretaña,9​ y es la ciudad más antigua del país.10​', 5),
(4, '4_vancouver.png', 'Vancouver', 'Canada', '2023-07-04', '2023-07-29', 'Parque Stanley\r\nAcuario de Vancouver\r\nCanada Place', 'Hot Dog \r\nHamburguesa \r\nMarisco', 'Vancouver es una ciudad de la costa pacífica de Canadá, ubicada en el suroeste de la provincia de Columbia Británica, entre el estrecho de Georgia y las Montañas Costeras. La ciudad fue nombrada así en homenaje al capitán George Vancouver, un explorador inglés.', 3),
(5, '5_hardanger.jpg', 'Fiordo de Hardanger', 'Noruega', '2023-07-17', '2023-07-25', 'Fiordo de Hardanger', '', 'El fiordo de Hardanger (en noruego: Hardangerfjord) es un fiordo del mar del Norte que se encuentra en la parte sur de la costa de Noruega, y que con una longitud de 179 km es el tercer fiordo más grande del mundo y el segundo más grande de Noruega. Administrativamente, el fiordo se encuentra en el distrito de Hardanger del condado de Hordaland.', 1),
(6, NULL, 'Dublín', 'Irlanda', '2023-01-11', '2023-01-27', 'Catedral de San Patricio de Dublín\r\nGuinness Storehouse\r\nCastillo de Dublín\r\nPuente del Medio Penique', 'GUINNESS IRISH STEW\r\nCERVEZA GUINNESS\r\nCOLCANNON\r\nRHUBARB CRUMBLE\r\nCODDLE', 'La ciudad moderna conserva el nombre irlandés anglificado del antiguo y original nombre irlandés de este último. Después de la invasión normanda, Dublín se convirtió en el centro clave de poder militar y judicial, con la mayoría de su poder concentrado en el castillo de Dublín hasta la independencia. Desde el siglo xiv hasta finales del siglo xvi, Dublín y sus alrededores, conocidos como La Empalizada, formaron la mayor zona de Irlanda bajo control gubernamental. Durante varios siglos el parlamento estuvo en Drogheda, pero se trasladó permanentemente a Dublín después de que Enrique II conquistase el Condado de Kildare en 1504.', 1);

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;